Edit offer status
curl --request POST \
--url https://skycoach.gg/api/shop/marketplace/offers/{OfferId}/edit_status \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"status": 2
}'import requests
url = "https://skycoach.gg/api/shop/marketplace/offers/{OfferId}/edit_status"
payload = { "status": 2 }
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Accept: '<accept>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({status: 2})
};
fetch('https://skycoach.gg/api/shop/marketplace/offers/{OfferId}/edit_status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "ok"
}{
"message": "Unauthorized"
}Offers
Edit offer status
POST
/
api
/
shop
/
marketplace
/
offers
/
{OfferId}
/
edit_status
Edit offer status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
API response format
Available options:
application/json Path Parameters
Body
application/json
New offer status. Only the following statuses are allowed for sellers: * * - 1 (Draft): Move offer to draft * - 2 (Active): Activate offer (visible to customers) * - 3 (Not Active): Deactivate offer (hidden from customers) * - 5 (On Review): Send offer for review
Available options:
1, 2, 3, 5 Example:
2
Response
Success
Example:
"ok"
⌘I